asn1_find_structure_from_oid(3)

NAME
asn1_find_structure_from_oid - API function

SYNOPSIS
#include <libtasn1.h>

const char * asn1_find_structure_from_oid(asn1_node_const definitions, const char * oidValue);

ARGUMENTS

asn1_node_const definitions
    ASN1 definitions

const char * oidValue
    value of the OID to search (e.g. "1.2.3.4").

DESCRIPTION
Search the structure that is defined just after an OID definition.

RETURNS
NULL when oidValue not found, otherwise the pointer to a constant string that contains the element name defined just after the OID.

COPYRIGHT
Copyright © 2006-2025 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/